# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/input/input.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Common input schema binding

maintainers:
  - Dmitry Torokhov <dmitry.torokhov@gmail.com>

properties:
  autorepeat:
    description: Enable autorepeat when key is pressed and held down.
    type: boolean

  linux,keycodes:
    description:
      Specifies an array of numeric keycode values to be used for reporting
      button presses.
    $ref: /schemas/types.yaml#/definitions/uint32-array
    items:
      minimum: 0
      maximum: 0xff

  poll-interval:
    description: Poll interval time in milliseconds.
    $ref: /schemas/types.yaml#/definitions/uint32

  power-off-time-sec:
    description:
      Duration in seconds which the key should be kept pressed for device to
      power off automatically. Device with key pressed shutdown feature can
      specify this property.
    $ref: /schemas/types.yaml#/definitions/uint32

additionalProperties: true
